Skip to main content
`Ctrl`+`K`

# TaoMonitorGradientDraw

Plots the gradient at each iteration of `TaoSolve()`

## Synopsis

    #include "petsctao.h"
    PetscErrorCode TaoMonitorGradientDraw(Tao tao, PetscCtx ctx)

Collective

## Input Parameters

- tao - the `Tao` context

- ctx - `PetscViewer` context

## Options Database Key

- -tao_monitor_gradient_draw - draw the gradient at each iteration

## See Also

TAO: Optimization Solvers, `Tao`, `TaoMonitorGradient()`, `TaoMonitorSet()`, `TaoMonitorSolutionDraw()`

## Level

advanced

## Location

src/tao/interface/taosolver.c

Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages